varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D map;
void main()
{
	mediump vec3 texel = (texture2D(inputImageTexture, textureCoordinate)).rgb;
	texel = vec3(dot(vec3(0.3, 0.6, 0.1), texel));
	texel = vec3(texture2D(map, vec2(texel.r, .16666)).r);
	gl_FragColor = vec4(texel, 1.0);
}